[DEFAULT]

[DATABASE]
# This line MUST be changed to actually run the plugin.
# Example:
# sql_connection = mysql://root:quantum@127.0.0.1:3306/nvp_quantum
# Replace 127.0.0.1 above with the IP address of the database used by the
# main quantum server. (Leave it as is if the database runs on this host.)
sql_connection = sqlite://
# Database reconnection retry times - in event connectivity is lost
# set to -1 implies an infinite retry count
# sql_max_retries = 10
# Database reconnection interval in seconds - if the initial connection to the
# database fails
reconnect_interval = 2
# Enable the use of eventlet's db_pool for MySQL. The flags sql_min_pool_size,
# sql_max_pool_size and sql_idle_timeout are relevant only if this is enabled.
# sql_dbpool_enable = False
# Minimum number of SQL connections to keep open in a pool
# sql_min_pool_size = 1
# Maximum number of SQL connections to keep open in a pool
# sql_max_pool_size = 5
# Timeout in seconds before idle sql connections are reaped
# sql_idle_timeout = 3600

[NVP]
# Maximum number of ports for each bridged logical switch
# max_lp_per_bridged_ls = 64
# Maximum number of ports for each overlay (stt, gre) logical switch
# max_lp_per_overlay_ls = 256
# Time from when a connection pool is switched to another controller
# during failure.
# failover_time = 5
# Number of connects to each controller node.
# concurrent_connections = 3
# Name of the default cluster where requests should be sent if a nova zone id
# is not specified. If it is empty or reference a non-existent cluster
# the first cluster specified in this configuration file will be used
# default_cluster_name =

#[CLUSTER:example]
# This is uuid of the default NVP Transport zone that will be used for
# creating tunneled isolated "Quantum" networks.  It needs to be created in
# NVP before starting Quantum with the nvp plugin.
# default_tz_uuid = 1e8e52cf-fa7f-46b0-a14a-f99835a9cb53

# Nova "zone" that maps to this NVP cluster.  This should map to the
# node_availability_zone in your nova.conf for each nova cluster.  Each nova
# cluster should have a unique node_availability_zone set.
# nova_zone_id = zone1 # (Optional)

# UUID of the cluster in NVP.  This can be retrieved from NVP management
# console "admin" section.
# nvp_cluster_uuid = 615be8e4-82e9-4fd2-b4b3-fd141e51a5a7 # (Optional)

# This parameter describes a connection to a single NVP controller. Format:
# <ip>:<port>:<user>:<pw>:<req_timeout>:<http_timeout>:<retries>:<redirects>
# <ip> is the ip address of the controller
# <port> is the port of the controller (default NVP port is 443)
# <user> is the user name for this controller
# <pw> is the user password.
# <req_timeout>: The total time limit on all operations for a controller
#   request (including retries, redirects from unresponsive controllers).
#   Default is 30.
# <http_timeout>: How long to wait before aborting an unresponsive controller
#   (and allow for retries to another controller in the cluster).
#   Default is 10.
# <retries>: the maximum number of times to retry a particular request
#   Default is 2.
# <redirects>: the maximum number of times to follow a redirect response from a server.
#   Default is 2.
# There must be at least one nvp_controller_connection per system or per cluster.
# nvp_controller_connection=10.0.1.2:443:admin:admin:30:10:2:2
# nvp_controller_connection=10.0.1.3:443:admin:admin:30:10:2:2
# nvp_controller_connection=10.0.1.4:443:admin:admin:30:10:2:2
